FROM node:18.16.0-alpine3.18

# Set environment variables for app
ENV NODE_ENV=production
ENV PORT=3000

# Create app folder
ENV APP_HOME=/app
RUN mkdir $APP_HOME
WORKDIR $APP_HOME

# COPY code and install dependencies
COPY . $APP_HOME
RUN npm install

# Expose port
EXPOSE 3000

# Start application
CMD ["npm", "start"]
